using MauiSpark.Pages;

namespace MauiSpark.Vues;

/// <summary>
/// Vue reprsentant un bouton pour accder  la page des rgles.
/// </summary>
public partial class BoutonReglesVue : ContentView
{
    /// <summary>
    /// Constructeur de la vue du bouton des rgles.
    /// Initialise les composants de la vue.
    /// </summary>
    public BoutonReglesVue()
    {
		InitializeComponent();
    }

    /// <summary>
    /// Mthode dclenche lorsque le bouton des rgles est cliqu.
    /// Navigue vers la page des rgles.
    /// </summary>
    /// <param name="sender">L'objet qui appelle l'vnement ; ici le bouton des rgles.</param>
    /// <param name="e">L'instance de l'vnement EventArgs cre par le systme.</param>
    private void QuandReglesClique(Object? sender, EventArgs e)
    {
        Navigation.PushAsync(new ReglesPage());
    }
}